"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Login = void 0;
const leetcode_api_typescript_1 = __importStar(require("leetcode-api-typescript"));
async function Login() {
    const props = (() => {
        if (process.env?.LEETCODE_COOKIE) {
            return {
                cookie: process.env.LEETCODE_COOKIE,
            };
        }
        else {
            return {
                username: process.env.LEETCODE_USERNAME || "",
                password: process.env.LEETCODE_PASSWORD || "",
            };
        }
    })();
    await leetcode_api_typescript_1.default.build(process.env.LEETCODE_ENDPOINT === "CN" ? leetcode_api_typescript_1.EndPoint.CN : leetcode_api_typescript_1.EndPoint.US, props);
}
exports.Login = Login;
//# sourceMappingURL=leetcode.js.map